

export default{
		//小程序支付 支付参数params , scb支付成功函数, fcb支付失败函数
		xcxPay(params,scb,fcb){
			 let that = this;			
			 console.log(params);
			 uni.requestPayment({
					timeStamp: params.timeStamp, // 时间戳，必填（后台传回）
					nonceStr: params.nonceStr,   // 随机字符串，必填（后台传回）
					package: params.package,     // 统一下单接口返回的 prepay_id 参数值，必填（后台传回）
					signType: params.signType,   // 签名算法，非必填，（预先约定或者后台传回）
					paySign: params.paySign,	    // 签名 ，必填 （后台传回）
					success(){scb();},
					fail(err){ fcb();}
				})
		},		
		// //公众号支付 支付参数params , scb支付成功函数, fcb支付失败函数
		gzhPay(params,scb,fcb){
			 var that = this;
			 if(util.isWeiXin()){			 
						util.wxInit(function(){							  
									wx.chooseWXPay({"timestamp": params.timeStamp,"nonceStr":params.nonceStr,'package': params.package,signType:params.signType,paySign:params.paySign,
											success(){ scb();},
											cancel(){},
											fail(){ fcb();}
								});						
						})
				}else{
					 uni.showToast({title:'请在公众号里面完成支付',icon:'none'});
				}
		},
	}